<p align="center"><img src="assets/ic_auxio.png" width="150"></p>
<h1 align="center"><b>Auxio</b></h1>
<h4 align="center">A sensible and customizable music player for android.</h4>
<p align="center">
    <a href="https://github.com/oxygencobalt/Auxio/releases">
        <img alt="GitHub release" src="https://img.shields.io/static/v1?label=Tag&message=v1.2.0&color=0D5AF5">
    </a>
    <a href="https://www.gnu.org/licenses/gpl-3.0"> 
        <img src="https://img.shields.io/badge/License-GPL%20v3-blue.svg">
    </a>
    <img alt="Minimum SDK" src="https://img.shields.io/badge/API-21%2B-32B5ED">
</p>
<h4 align="center"><a href="/info/FAQ.md">FAQ</a> / <a href="/info/FORMATS.md">Formats</a> / <a href="/info/LICENSES.md">Licenses</a> / <a href="/.github/CONTRIBUTING.md">Contributing</a></h4>

## About

Auxio is a local music player for android inspired by both Spotify and other FOSS music players such as [Music Player GO](https://github.com/enricocid/Music-Player-GO) and [Phonograph](https://github.com/kabouzeid/Phonograph), with a heavy emphasis on a simple, straightfoward, and customizable UI/UX.

Unlike other music players, Auxio is based off of [ExoPlayer](https://exoplayer.dev/), allowing for much better listening experience compared to the native [MediaPlayer](https://developer.android.com/guide/topics/media/mediaplayer) API. Auxio's codebase is also designed to be extendable, allowing for the addition of features that are not included in the main app.

I primarily built Auxio for myself, but you can use it too, I guess.

## Screenshots

[<img src="assets/shot_library_port.png" width=160>](assets/shot_library_port.png)
[<img src="assets/shot_playback_port.png" width=160>](assets/shot_playback_port.png)
[<img src="assets/shot_songs_port.png" width=160>](assets/shot_songs_port.png)
[<img src="assets/shot_search_port.png" width=160>](assets/shot_search_port.png)
[<img src="assets/shot_album_port.png" width=160>](assets/shot_album_port.png)
[<img src="assets/shot_artist_port.png" width=160>](assets/shot_artist_port.png)
[<img src="assets/shot_queue_port.png" width=160>](assets/shot_queue_port.png)
[<img src="assets/shot_notif.png" width=160>](assets/shot_notif.png)
[<img src="assets/shot_settings_port.png" width=160>](assets/shot_settings_port.png)
[<img src="assets/shot_genre_port.png" width=160>](assets/shot_genre_port.png)

## Features

- [ExoPlayer](https://exoplayer.dev/) based playback
- Customizable UI & Behavior
- Genres/Artists/Albums/Songs support
- Extensive queue system
- Full playback persistence system
- Edge-to-edge (Oreo+ Only)
- Embedded covers support
- Search Functionality
- Audio Focus / Headset Management
- No internet connectivity whatsoever
- Kotlin from the ground-up
- Modular, feature-based architecture
- No rounded corners

## To Come in the future:

- Translations
- Artist Images
- Artist Songs
- Swipe-to-next-track function [Maybe]
- Black theme
- Custom accents
- Playlists
- Liked songs
- More notification actions
- Better edge-to-edge support
- More customization options
- Other things, presumably

## Contributing

Auxio accepts most contributions as long as they follow the [Contribution Guidelines](/.github/CONTRIBUTING.md).

However, feature additions and Major UI changes are less likely to be accepted. See [Accepted Additions](/info/ADDITIONS.md) for more information.

## License

[![GNU GPLv3 Image](https://www.gnu.org/graphics/gplv3-127x51.png)](http://www.gnu.org/licenses/gpl-3.0.en.html)  

Auxio is Free Software: You can use, study share and improve it at your
will. Specifically you can redistribute and/or modify it under the terms of the
[GNU General Public License](https://www.gnu.org/licenses/gpl.html) as
published by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.  